List a session's audit log
curl --request GET \
--url https://albus.sh/api/sessions/{id}/audit \
--header 'Authorization: Bearer <token>'import requests
url = "https://albus.sh/api/sessions/{id}/audit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://albus.sh/api/sessions/{id}/audit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"events": [
{
"id": "<string>",
"session_id": "<string>",
"invocation_key": "<string>",
"type": "agent_invocation",
"payload": {},
"event_time": "2023-11-07T05:31:56Z",
"agent_revision": "<string>"
}
],
"next_cursor": "<string>"
}{
"message": "Invalid request parameters"
}{
"message": "Invalid or expired token"
}{
"message": "Resource not found"
}Sessions
List a session's audit log
Returns the session’s audit log — an immutable, time-ordered record of what happened during its invocations (LLM calls, tool results, and invocation outcomes). Events are ordered by the time they occurred. Use after and limit to page through them; pass the response’s next_cursor as the next request’s after to fetch the following page.
GET
/
sessions
/
{id}
/
audit
List a session's audit log
curl --request GET \
--url https://albus.sh/api/sessions/{id}/audit \
--header 'Authorization: Bearer <token>'import requests
url = "https://albus.sh/api/sessions/{id}/audit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://albus.sh/api/sessions/{id}/audit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"events": [
{
"id": "<string>",
"session_id": "<string>",
"invocation_key": "<string>",
"type": "agent_invocation",
"payload": {},
"event_time": "2023-11-07T05:31:56Z",
"agent_revision": "<string>"
}
],
"next_cursor": "<string>"
}{
"message": "Invalid request parameters"
}{
"message": "Invalid or expired token"
}{
"message": "Resource not found"
}Authorizations
bearerAuthapiKey